Subject: Ticket Assigned - 9563175278 / late delivery **
From: Home Box <[email-masked]>
To: [email-masked]
Date: Mon, 04 Apr 2022 11:25:48 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9563175278 / late delivery ** ?                    Hello           03:08 PM, 04th Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:08 PM, 04th Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:08 PM, 04th Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:08 PM, 04th Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:08 PM, 04th Apr                   Ahmed                   Hi this is Ahmed how can I help you today            03:08 PM, 04th Apr                     ?                    My order should have been delivered yesterday but no one contacted me yet  9563175278           03:08 PM, 04th Apr                   Ahmed                   Kindly allow me few moments so I can check the details of the order            03:09 PM, 04th Apr                     ?                    Okay           03:10 PM, 04th Apr                   Ahmed                   Kindly share with us you active contact number and an alternative one if possible.           03:15 PM, 04th Apr                     ?                    0502332502 0554488836           03:15 PM, 04th Apr                   Ahmed                   thank you for sharing your contact details with us, I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           03:24 PM, 04th Apr                     ?                    Okay thank you           03:24 PM, 04th Apr                     ?                    But I need it to be delivered as soon as possible please           03:24 PM, 04th Apr                   Ahmed                   We will make sure to resolve the issue and arrange the delivery as soon as possible.           03:25 PM, 04th Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4123704